Bug 714647 - Legacy SysV initscript file must go into an optional subpackage
Legacy SysV initscript file must go into an optional subpackage
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: abrt (Show other bugs)
rawhide
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Jiri Moskovcak
Fedora Extras Quality Assurance
:
Depends On:
Blocks: SysVtoSystemd
  Show dependency treegraph
 
Reported: 2011-06-20 06:45 EDT by Jóhann B. Guðmundsson
Modified: 2015-02-01 17:54 EST (History)
9 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-06-28 10:20:28 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Jóhann B. Guðmundsson 2011-06-20 06:45:13 EDT
Description of problem:

Currently your component is providing both native systemd service files and
legacy sysv init script in the same package which is in violation of the
packaging guidelines[1]. 

Once a native systemd service file is shipped and if the intention is to
continue to maintain and ship the old sysv initscript the old sysvinit must go
into an optional subpackage.

"SysV Initscripts
Packages may also provide a SysV initscript file, but are not required to do
so. This format is considered legacy, but Fedora still contains init mechanisms
such as upstart which do not support the systemd unit file format. If present,
the SysV initscript(s) must go into an optional subpackage, so as not to
confuse sysadmins. The guidelines for SysV initscripts can be found here:
Packaging:SysVInitScript"

1.http://fedoraproject.org/wiki/Packaging:Guidelines:Systemd

Version-Release number of selected component (if applicable):

abrt-2.0.2-5.fc16.x86_64.rpm

How reproducible:


Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:
Comment 1 Miroslav Lichvar 2011-06-28 10:20:28 EDT
Current rawhide packages don't provide SysV init scripts, no need for subpackages.

Note You need to log in before you can comment on or make changes to this bug.